=== debian/changelog ===
lua-lgi (0.4+29+g74cbbb1-1) unstable; urgency=low

  * Initial release. (Closes: #657968)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 13:16:07 +0200
