=== debian/control ===
Source: lua-lgi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 9), libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, xvfb, xauth
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
Homepage: https://github.com/pavouk/lgi/

Package: lua-lgi
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: Lua bridge to GObject based libraries
 LGI is gobject-introspection based dynamic Lua binding to GObject based
 libraries. It allows using GObject-based libraries directly from Lua.
 .
 Notable examples are GTK+, GStreamer and Webkit.

Package: lua-lgi-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-lgi (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: lgi development files for the Lua language
 This package contains the development files of the Lua lgi library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.
