=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell grep ^VERSION Makefile | cut -d = -f 2 | tr -d ' ')

%:
	dh $@ --buildsystem=lua --with lua
	
override_dh_auto_configure:
	make -C lgi version.lua VERSION=$(VERSION)
	dh_auto_configure
override_dh_auto_test:
	make -C tests all
	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
