=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-lgi
#
version=3
https://github.com/pavouk/lgi/downloads .*/lgi-([0-9\.]+).tar.gz
