=== debian/changelog ===
lua-lgi (0.5-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Apr 2012 23:35:11 +0200
