=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 override_dh_auto_test:
 	make -C tests all
 	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
+override_dh_compress:
+	dh_compress -X.ui -X.md -X.lua
