=== debian/changelog ===
lua-lgi (0.5+11+g7006225-1) unstable; urgency=low

  * Fixed clean target 
  * New upstream snapshot
  * Update build-depends adding libffi-dev and libglib2.0-dev 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 15:07:25 +0200

lua-lgi (0.5+8+g86dbda4-1) unstable; urgency=low

  * New upstream snapshot fixing alignement problems
  * Clean up dh-lua conf file 
  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 May 2012 15:53:08 +0200
