=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 9), libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, xvfb, xauth
+Build-Depends: debhelper (>= 8.1.3), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
