=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
 override_dh_compress:
 	dh_compress -X.ui -X.md -X.lua
+override_dh_auto_clean:
+	rm -f lgi/version.lua
+	dh_auto_clean
