## lua-lgi 0.6.1

=== debian/changelog ===
lua-lgi (0.6.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 19:13:37 +0200

lua-lgi (0.6-2) unstable; urgency=low

  * debian/compat set to 9
  * Add -dbg package (closes: #676690) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 22 May 2012 19:44:35 +0200

lua-lgi (0.6-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 20:56:36 +0200
