=== debian/changelog ===
lua-lgi (0.6.2-1) unstable; urgency=low

  * New upstream bugfix release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jun 2012 11:15:44 +0200
