=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
+Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
@@ -34,3 +34,19 @@
  useful to create a statically linked binary (like a C application or a
  standalone Lua interpreter).
  Documentation is also shipped within this package.
+
+Package: lua-lgi-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Depends: lua-lgi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: Lua bridge to GObject based libraries
+ LGI is gobject-introspection based dynamic Lua binding to GObject based
+ libraries. It allows using GObject-based libraries directly from Lua.
+ .
+ Notable examples are GTK+, GStreamer and Webkit.
+ .
+ This package contains the debugging symbols for lua-lgi.
