=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,5 @@
 override_dh_auto_clean:
 	rm -f lgi/version.lua
 	dh_auto_clean
+override_dh_strip:
+	dh_strip --dbg-package=lua-lgi-dbg
