=== tests/Makefile ===
--- 
+++ 
@@ -10,19 +10,30 @@
 PFX = cyg
 LIBFLAG = -shared
 else
+ifeq ($(shell uname -s),Darwin)
+EXT = .so
+PFX = lib
+LIBFLAG = -bundle -undefined dynamic_lookup
+CCSHARED = -fno-common
+else
 EXT = .so
 PFX = lib
 LIBFLAG = -shared
 CCSHARED = -fPIC
 endif
+endif
 
 PKGS = gio-2.0 cairo cairo-gobject gobject-introspection-1.0 gmodule-2.0 libffi
 LUA = lua
 
-COPTFLAGS = -Wall -g
-CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS))
+ifndef CFLAGS
+ifndef COPTFLAGS
+CFLAGS = -Wall -g
+endif
+endif
+ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS)) $(CFLAGS)
 LIBS += $(shell pkg-config --libs $(PKGS))
-LDFLAGS = $(LIBFLAG)
+ALL_LDFLAGS = $(LIBFLAG) $(LDFLAGS)
 DEPCHECK = .depcheck
 
 # Precondition check
@@ -41,15 +52,19 @@
 	rm -f $(REGRESS) $(REGRESS_OBJS) Regress-1.0.gir Regress-1.0.typelib
 
 check : all
-	cd .. && LD_LIBRARY_PATH=tests:$$LD_LIBRARY_PATH GI_TYPELIB_PATH=tests:$$GI_TYPELIB_PATH $(LUA) tests/test.lua
+	cd .. && LD_LIBRARY_PATH=tests:$$LD_LIBRARY_PATH \
+	    GI_TYPELIB_PATH=tests:$$GI_TYPELIB_PATH \
+	    LUA_PATH=./?.lua\;`$(LUA) -e "print(package.path)"` \
+	    LUA_CPATH=./?.so\;`$(LUA) -e "print(package.cpath)"` \
+	    $(LUA) tests/test.lua
 
 $(REGRESS) : regress.o
-	$(CC) $(LDFLAGS) -o $@ regress.o $(LIBS)
+	$(CC) $(ALL_LDFLAGS) -o $@ regress.o $(LIBS)
 
 GIDATADIR = $(shell pkg-config --variable=gidatadir gobject-introspection-1.0)/tests
 
 regress.o : $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h $(DEPCHECK)
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(ALL_CFLAGS) -c -o $@ $<
 
 # Build .gir and .typelib
 Regress-1.0.gir : $(REGRESS)
