=== debian/changelog ===
lua-lgi (0.7.2-1) unstable; urgency=low

  * New upstream bugfix release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Sep 2013 10:05:51 +0200

lua-lgi (0.7.1+gitec3dfe8-1) unstable; urgency=low

  * New upstream snapshot including fixes for Pango related memory leak
    (Closes: #721432)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 12 Sep 2013 13:32:08 +0200

lua-lgi (0.7.1-3) unstable; urgency=low

  * Update watch file 
  * Disable tests on s390x
  * Comment in copyright, MIT/X is named Expat in Debian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Aug 2013 11:26:48 +0200

lua-lgi (0.7.1-2) unstable; urgency=low

  * Depend on gir1.2-glib-2.0 (Closes: #710286), thanks Arnaud Fontaine
    for the patch!

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 03 Jun 2013 18:05:44 +0200

lua-lgi (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jun 2012 13:36:04 +0200
