=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-lgi.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-lgi.git
 Homepage: https://github.com/pavouk/lgi/
 
 Package: lua-lgi
@@ -13,7 +13,7 @@
 Multi-Arch: same
 Pre-Depends: multiarch-support
 Provides: ${lua:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-glib-2.0
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua bridge to GObject based libraries
  LGI is gobject-introspection based dynamic Lua binding to GObject based
