=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,15 @@
 	make -C lgi version.lua VERSION=$(VERSION)
 	dh_auto_configure
 override_dh_auto_test:
-	make -C tests all
-	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
+	if [ `dpkg-architecture -qDEB_BUILD_ARCH` != s390x ]; then \
+	  make -C tests all; \
+	  GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test; \
+	fi
 override_dh_compress:
 	dh_compress -X.ui -X.md -X.lua
 override_dh_auto_clean:
 	rm -f lgi/version.lua
+	make -C tests clean
 	dh_auto_clean
 override_dh_strip:
 	dh_strip --dbg-package=lua-lgi-dbg
