## lua-lgi 0.8.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.7.2
+VERSION = 0.8.0
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec
