=== debian/changelog ===
lua-lgi (0.8.0-2) unstable; urgency=medium

  * Patch to create, on the fly, an empty config.h.  Works around bug
      https://bugzilla.gnome.org/show_bug.cgi?id=737275 
    and closes: #765103, #765163.

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 15 Oct 2014 22:14:29 +0200

lua-lgi (0.8.0-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Add autopkgtest support:
    - run test target as during build
    - run simple test regarding the awesome window manager 

  [ Julian Wollrath ]
  * New upstream release.
  * Bump standards version to 3.9.5 (no changes needed).
  * Update debian/copyright.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 16 Sep 2014 17:46:05 +0200
