=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-lgi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-lgi.git
 Homepage: https://github.com/pavouk/lgi/
+XS-Testsuite: autopkgtest
 
 Package: lua-lgi
 Architecture: any
