## lua-lgi 0.9.0.20151101.git.885af4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.8.0
+VERSION = 0.9.0
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec
