=== debian/changelog ===
lua-lgi (0.9.0.20151101.git.885af4-1) unstable; urgency=medium

  * Fix FTBFS with recent Pango (Closes: #802090)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 05 Nov 2015 18:19:36 +0100

lua-lgi (0.9.0-1) unstable; urgency=medium

  * remove pre-depend on multiarch-support
  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 21:07:46 +0200
