=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: lua-lgi
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Provides: ${lua:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-glib-2.0
 XB-Lua-Versions: ${lua:Versions}
@@ -25,7 +25,7 @@
 Package: lua-lgi-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Provides: ${lua:Provides}
 Depends: lua-lgi (= ${binary:Version}), ${misc:Depends}
@@ -41,7 +41,7 @@
 Priority: extra
 Section: debug
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-lgi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua bridge to GObject based libraries
