=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	
 override_dh_auto_configure:
 	make -C lgi version.lua VERSION=$(VERSION)
+	if [ ! -e /usr/share/gobject-introspection-1.0/tests/config.h ]; then\
+		touch config.h;\
+	fi
 	dh_auto_configure
 override_dh_auto_test:
 	if [ `dpkg-architecture -qDEB_BUILD_ARCH` != s390x ]; then \
