=== debian/tests/control ===
Tests: dh-lua-tests
Restrictions: rw-build-tree
Depends: @, gir1.2-gtk-3.0, xvfb, xauth, dh-lua

Tests: awesome
Depends: @, xvfb, xauth, dh-lua, awesome, x11-utils
