=== debian/changelog ===
lua-lgi (0.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #823164)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Jun 2016 19:05:11 +0200
