=== debian/changelog ===
lua-lgi (0.9.2-6) unstable; urgency=medium

  * Team upload
  * girepository: Apply restructuring (Closes: #1118895)

 -- Bastian Germann <bage@debian.org>  Fri, 31 Oct 2025 18:53:49 +0100

lua-lgi (0.9.2-5) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

  [ Reiner Herrmann ]
  * Update project URL

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 12:42:56 +0200

lua-lgi (0.9.2-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Adapt to new pango bindings. (Closes: #1101238)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 16 Jul 2025 00:13:19 +0200

lua-lgi (0.9.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Reiner Herrmann ]
  * Update Standards-Version to 4.6.0:
    - Declare that d/rules does not require root
  * Update debhelper compat level to 13:
    - Drop check for nocheck in dh_auto_test override
    - Mark .la files as not being installed
  * Replace obsolete variable ADTTMP with AUTOPKGTEST_TMP in autopkgtest.
  * Fix spelling error.
  * Clean files generated during build and test.
  * Add patch to honour CPPFLAGS.
  * Drop dh_strip override as dbgsym migration is complete.
  * Set Debian Lua Team as maintainer, as Enrico has retired. (Closes: #995540)
  * Update watch file to version 4.
  * Bump copyright year to 2022.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 10 Jan 2022 17:47:02 +0100

lua-lgi (0.9.2-2) unstable; urgency=medium

  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper dependency/compat to 11.
  * debian/copyright:
    - change copyright format URL to https
    - update copyright year
    - add myself
  * Add check for nocheck in override_dh_auto_test target.
  * Unset DBUS_SESSION_BUS_ADDRESS during test run, as it can break the
    tests when build inside chroot and the environment is kept.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 07 Mar 2018 20:25:50 +0100

lua-lgi (0.9.2-1) unstable; urgency=medium

  * New upstream release.
    - drop patch applied upstream
  * Add myself to uploaders.
  * Cherry-pick upstream patch to fix FTBFS on big endian 64bit architectures.
    (Closes: #879956)
    - re-enable tests on s390x
  * Cherry-pick upstream patch to fix FTBFS on hurd-i386. (Closes: #880410)
  * Bump debhelper compatibility to 10.
  * Bump Standards-Version to 4.1.1.
  * Migrate -dbg to -dbgsym package.
  * Change Vcs-* URLs to https.
  * Remove trailing whitespace from changelog.
  * Drop obsolete XS-Testsuite field and add dbus-x11 to build dependencies.
  * Fix autopkgtests.
  * Install README.md.
  * Sort source files to make build reproducible.
  * Enable hardening options.
  * Use DEB_VERSION_UPSTREAM instead of determining version manually.
  * Bump copyright year to 2017.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Nov 2017 23:06:47 +0100

lua-lgi (0.9.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for lua 5.3. (Closes: #847111)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Oct 2017 17:38:17 +0200

lua-lgi (0.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to workaround GLib API break. (Closes: #870834)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 29 Sep 2017 15:50:32 +0200
