=== debian/tests/control ===
Test-Command: debian/rules autopkgtest
Restrictions: rw-build-tree, allow-stderr
Depends: @, @builddeps@

Tests: awesome
Restrictions: allow-stderr
Depends: @, xvfb, xauth, awesome, dbus-x11
