=== debian/watch ===
version=4
https://github.com/lgi-devs/lgi/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
